Loading...
Searching...
No Matches
l4re_aux_t Struct Reference
L4Re C++ Interface » Auxiliary data

Auxiliary descriptor. More...

`#include <l4aux.h>`

Collaboration diagram for l4re_aux_t:

## Data Fields

char const * | binary
| Binary name.
l4_cap_idx_t | kip_ds
| Data space of the KIP.
l4_umword_t | dbg_lvl
| Debug levels for l4re.
l4_umword_t | ldr_flags
| Flags for l4re, see l4re_aux_ldr_flags_t.
l4_addr_t | ldr_base
| Load offset of executable.

## Detailed Description

Auxiliary descriptor.

Definition at line 40 of file l4aux.h.

The documentation for this struct was generated from the following file:

- l4/re/l4aux.h